Commit 1c38a6e0 authored by Stan Hu's avatar Stan Hu

Install latest version of Git

The standard Git version (v2.17) doesn't support all the features that
Gitaly needs (e.g. delta islands). We install the latest version
available in the PPA (v2.22).

Closes gitlab-development-kit#553
parent 816cf587
......@@ -8,6 +8,7 @@ RUN useradd --user-group --create-home gdk
ENV DEBIAN_FRONTEND=noninteractive
COPY packages.txt /
RUN apt-get update && apt-get install -y $(sed -e 's/#.*//' /packages.txt)
RUN add-apt-repository ppa:git-core/ppa -y && apt-get update && apt-get install -y git
# stages for fetching remote content
# highly cacheable
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment